{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="{{ article.content|raw|slice(0, 100) ~ '...' }}"/>
	<meta property="og:type" content="article"/>
	<meta property="og:title" content="{{ article.title }}"/>
	<meta property="og:description" content="{{ article.content|raw|slice(0, 100) ~ '...' }}"/>
{% endblock %}

{% block title %}
	{{ article.title }}
{% endblock %}

{% block body %}
	<article class="container article">
		{% for alert in app.flashes('success') %}
			<div class="comments__validation">
				{% include 'components/_alert.html.twig' with {
					'class': 'alert alert__success',
					'content': alert
				} %}
			</div>
		{% endfor %}

		<div class="blog__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>

		<h1 class="title title--1 center">{{ article.title }}</h1>

		<h2 class="subtitle center">
			<span>Publié le
				{{ article.createdAt|date('d/m/Y') }}</span>
			<span class="separator">|</span>
			<span>Environ
				{{ article.readingTime }}
				minute(s) de lecture</span>
		</h2>

		<div class="article__thumbnail">
			<img src="{{ vich_uploader_asset(article, 'imageFile') | imagine_filter('basic_thumbnail') }}" alt="{{ article.imageName }}">
		</div>

		<div class="article__categories">
			<div class="filter">
				<div class="filter__list">
					{% for c in article.categories %}
						<div class="filter__item">
							<a href="{{ path('blog_category', {slug: c.slug}) }}" class="button button__primary button--small">
								{{ c.name }}
							</a>
						</div>
					{% endfor %}
				</div>
			</div>

		</div>

		<div class="article__content">
			{{ article.content|raw }}
		</div>

		<hr>

		<div class="article__comments">
			<div class="comment__new {{ app.user ? 'connected' : 'disconnected' }}">
				{% if app.user %}
					<form method="POST" class="form">
						<div class="form__row">
							{% include 'components/form/_group.html.twig' with {
								'size': 'full',
								'element': form.content
							}  %}
						</div>

						<div class="form__group">
							{{ form_row(form._token) }}
						</div>

						<div class="form__submit">
							{% include 'components/_button.html.twig' with {
								'class': 'button button__primary',
								'type': 'submit',
								'path': null,
								'label': 'Soumettre mon commentaire'
							} %}
						</div>
					</form>
				{% else %}
					{% include 'components/_alert.html.twig' with {
						'class': 'alert alert__info',
						'content': 'Pour proposer un commentaire, veuillez vous connectez.'
					} %}
				{% endif %}
			</div>

			{% include 'components/comments/_comments.html.twig' with {
				'comments': comments
			} %}
		</div>

		<hr>

		<div class="article__similar">
			<div class="blog__list">
				{% for article in similarArticles %}
					{% set category = article.categories|first %}
					{% include 'components/card/_card.html.twig' with {
						'big' : false,
						'path': {
							'name': 'blog_show',
							'args': {slug: article.slug}
						},
						'thumbnail': {
							'item': article,
							'alt': article.imageName
						},
						'title': article.title,
						'categories': category,
						'publishedAt': article.createdAt
					} %}
				{% endfor %}
			</div>
		</div>

	</article>
{% endblock %}
